## simplescreenrecorder 0.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

set(CMAKE_CXX_STANDARD 11)

project(simplescreenrecorder VERSION 0.3.10)

if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|amd64|i386|i686")
	set(PROCESSOR_IS_X86 TRUE)
else()
	set(PROCESSOR_IS_X86 FALSE)
endif()

option(ENABLE_32BIT_GLINJECT "Build the 32-bit version of 'libssr-glinject' on 64-bit systems (in addition to the 64-bit version). Required for OpenGL recording of 32-bit applications on 64-bit systems." FALSE)
option(ENABLE_X86_ASM "Allow x86/x64 assembly or intrinsics." ${PROCESSOR_IS_X86})
option(ENABLE_FFMPEG_VERSIONS "Use FFmpeg version numbers for feature support tests. Enable when using FFmpeg, disable when using Libav." TRUE)
option(WITH_OPENGL_RECORDING "Build with OpenGL recording support." TRUE)
option(WITH_ALSA "Build with ALSA support." TRUE)
option(WITH_PULSEAUDIO "Build with PulseAudio support." TRUE)
option(WITH_JACK "Build with JACK support." TRUE)
option(WITH_QT5 "Build with Qt5 (instead of Qt4)." FALSE)
option(WITH_SIMPLESCREENRECORDER "Build the 'simplescreenrecorder' executable." TRUE)
option(WITH_GLINJECT "Build the 'libssr-glinject' library. Required for OpenGL recording." TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include(GNUInstallDirs)

# try to guess the correct 32-bit library path on 64-bit systems
if(ENABLE_32BIT_GLINJECT)

	if(NOT DEFINED CMAKE_INSTALL_LIB32DIR)
		set(_LIB32DIR_DEFAULT "lib32")
		if(EXISTS "/etc/debian_version")
			if(EXISTS "/usr/lib/i386-linux-gnu")
				set(_LIB32DIR_DEFAULT "lib/i386-linux-gnu")
			elseif(EXISTS "/usr/lib/i686-linux-gnu")
				set(_LIB32DIR_DEFAULT "lib/i686-linux-gnu")
			else()
				message(WARNING "Could not find correct multiarch 32-bit library path, falling back to 'lib32'.")
			endif()
		endif()
		set(CMAKE_INSTALL_LIB32DIR "${_LIB32DIR_DEFAULT}" CACHE PATH "object code libraries, 32-bit (${_LIB32DIR_DEFAULT})")
	endif()
	
	mark_as_advanced(CMAKE_INSTALL_LIB32DIR)

	if(NOT IS_ABSOLUTE ${CMAKE_INSTALL_LIB32DIR})
		set(CMAKE_INSTALL_FULL_LIB32DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIB32DIR}")
	else()
		set(CMAKE_INSTALL_FULL_LIB32DIR "${CMAKE_INSTALL_LIB32DIR}")
	endif()

endif()

if(WITH_GLINJECT)

	add_subdirectory(glinject)

endif()

if(WITH_SIMPLESCREENRECORDER)

	add_subdirectory(src)
	add_subdirectory(src/translations)

	if(WITH_OPENGL_RECORDING)
		# the 'ssr-glinject' script is installed together with the main SSR executable to avoid problems with multiarch packages
		install(
			FILES scripts/ssr-glinject
			DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
			PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
		)
	endif()
	install(
		DIRECTORY data/output-profiles
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/simplescreenrecorder
	)
	install(
		DIRECTORY data/man/
		DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
	)
	install(
		FILES data/simplescreenrecorder.desktop
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications
	)
	install(
		FILES data/simplescreenrecorder.appdata.xml
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/appdata
	)

	# icons
	set(icons_res 16 22 24 32 48 64 96 128 192 256)

	foreach(res IN LISTS icons_res)
		install(
			DIRECTORY data/icons/${res}/
			DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/${res}x${res}/apps
		)
	endforeach()

	install(
		DIRECTORY data/icons/scalable/
		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/scalable/apps
	)

endif()

=== src/CMakeLists.txt ===
# 'simplescreenrecorder' executable

set(CMAKE_AUTOMOC ON)

find_package(Threads REQUIRED)
find_package(FFmpeg REQUIRED)
find_package(X11 REQUIRED)

if(WITH_ALSA)
	find_package(ALSA REQUIRED)
endif()
if(WITH_PULSEAUDIO)
	find_package(PulseAudio REQUIRED)
endif()
if(WITH_JACK)
	find_package(Jack REQUIRED)
endif()

if(WITH_QT5)
	find_package(Qt5 COMPONENTS Core Gui Widgets X11Extras REQUIRED)
else()
	find_package(Qt4 COMPONENTS QtGui REQUIRED)
endif()

set(sources
	AV/Input/ALSAInput.cpp
	AV/Input/ALSAInput.h
	AV/Input/GLInjectInput.cpp
	AV/Input/GLInjectInput.h
	AV/Input/JACKInput.cpp
	AV/Input/JACKInput.h
	AV/Input/PulseAudioInput.cpp
	AV/Input/PulseAudioInput.h
	AV/Input/SSRVideoStream.h
	AV/Input/SSRVideoStreamReader.cpp
	AV/Input/SSRVideoStreamReader.h
	AV/Input/SSRVideoStreamWatcher.cpp
	AV/Input/SSRVideoStreamWatcher.h
	AV/Input/X11Input.cpp
	AV/Input/X11Input.h
	AV/Output/AudioEncoder.cpp
	AV/Output/AudioEncoder.h
	AV/Output/BaseEncoder.cpp
	AV/Output/BaseEncoder.h
	AV/Output/Muxer.cpp
	AV/Output/Muxer.h
	AV/Output/OutputManager.cpp
	AV/Output/OutputManager.h
	AV/Output/OutputSettings.h
	AV/Output/SyncDiagram.cpp
	AV/Output/SyncDiagram.h
	AV/Output/Synchronizer.cpp
	AV/Output/Synchronizer.h
	AV/Output/VideoEncoder.cpp
	AV/Output/VideoEncoder.h
	AV/Output/X264Presets.cpp
	AV/Output/X264Presets.h
	AV/AVWrapper.cpp
	AV/AVWrapper.h
	AV/FastResampler.cpp
	AV/FastResampler.h
	AV/FastResampler_FirFilter.h
	AV/FastResampler_FirFilter_Fallback.cpp
	AV/FastScaler.cpp
	AV/FastScaler.h
	AV/FastScaler_Convert.h
	AV/FastScaler_Convert_Fallback.cpp
	AV/FastScaler_Scale.h
	AV/FastScaler_Scale_Fallback.cpp
	AV/FastScaler_Scale_Generic.cpp
	AV/FastScaler_Scale_Generic.h
	AV/SampleCast.h
	AV/SimpleSynth.cpp
	AV/SimpleSynth.h
	AV/SourceSink.cpp
	AV/SourceSink.h
	common/CPUFeatures.cpp
	common/CPUFeatures.h
	common/Dialogs.cpp
	common/Dialogs.h
	common/EnumStrings.h
	common/LockFreeMessageQueue.h
	common/Logger.cpp
	common/Logger.h
	common/MutexDataPair.h
	common/QueueBuffer.h
	common/TempBuffer.h
	GUI/AudioPreviewer.cpp
	GUI/AudioPreviewer.h
	GUI/DialogGLInject.cpp
	GUI/DialogGLInject.h
	GUI/ElidedLabel.cpp
	GUI/ElidedLabel.h
	GUI/HiddenScrollArea.cpp
	GUI/HiddenScrollArea.h
	GUI/HotkeyListener.h
	GUI/HotkeyListener.cpp
	GUI/Icons.cpp
	GUI/Icons.h
	GUI/MainWindow.cpp
	GUI/MainWindow.h
	GUI/PageDone.cpp
	GUI/PageDone.h
	GUI/PageInput.cpp
	GUI/PageInput.h
	GUI/PageOutput.cpp
	GUI/PageOutput.h
	GUI/PageRecord.cpp
	GUI/PageRecord.h
	GUI/PageWelcome.cpp
	GUI/PageWelcome.h
	GUI/ProfileBox.cpp
	GUI/ProfileBox.h
	GUI/VideoPreviewer.cpp
	GUI/VideoPreviewer.h
	Benchmark.cpp
	Benchmark.h
	Global.h
	Main.cpp
	Main.h
	NVidia.cpp
	NVidia.h
)

if(ENABLE_X86_ASM)

	list(APPEND sources
		AV/FastResampler_FirFilter_SSE2.cpp
		AV/FastScaler_Convert_SSSE3.cpp
		AV/FastScaler_Scale_SSSE3.cpp
	)

	set_source_files_properties(
		AV/FastResampler_FirFilter_SSE2.cpp
		PROPERTIES COMPILE_FLAGS -msse2
	)

	set_source_files_properties(
		AV/FastScaler_Convert_SSSE3.cpp
		AV/FastScaler_Scale_SSSE3.cpp
		PROPERTIES COMPILE_FLAGS -mssse3
	)

endif()

set(res_input
	../data/resources/resources.qrc
)

if(WITH_QT5)
	qt5_add_resources(res_output ${res_input})
	set(QT_LIBS
		Qt5::Core
		Qt5::Gui
		Qt5::Widgets
		Qt5::X11Extras
	)
else()
	qt4_add_resources(res_output ${res_input})
	set(QT_LIBS
		Qt4::QtGui
	)
endif()

set_property(SOURCE ${res_output} PROPERTY SKIP_AUTOMOC ON)

add_executable(simplescreenrecorder
	${sources}
	${res_output}
)

target_include_directories(simplescreenrecorder PRIVATE
	${FFMPEG_INCLUDE_DIRS}
	${X11_X11_INCLUDE_PATH}
	${X11_Xext_INCLUDE_PATH}
	${X11_Xfixes_INCLUDE_PATH}
	${X11_Xi_INCLUDE_PATH}
	$<$<BOOL:${WITH_ALSA}>:${ALSA_INCLUDE_DIRS}>
	$<$<BOOL:${WITH_PULSEAUDIO}>:${PULSEAUDIO_INCLUDE_DIRS}>
	$<$<BOOL:${WITH_JACK}>:${JACK_INCLUDE_DIRS}>
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/AV
	${CMAKE_CURRENT_SOURCE_DIR}/AV/Input
	${CMAKE_CURRENT_SOURCE_DIR}/AV/Output
	${CMAKE_CURRENT_SOURCE_DIR}/common
	${CMAKE_CURRENT_SOURCE_DIR}/GUI
)

target_link_libraries(simplescreenrecorder PRIVATE
	${FFMPEG_LIBRARIES}
	${QT_LIBS}
	${CMAKE_THREAD_LIBS_INIT}
	${X11_X11_LIB}
	${X11_Xext_LIB}
	${X11_Xfixes_LIB}
	${X11_Xi_LIB}
	$<$<BOOL:${WITH_ALSA}>:${ALSA_LIBRARIES}>
	$<$<BOOL:${WITH_PULSEAUDIO}>:${PULSEAUDIO_LIBRARIES}>
	$<$<BOOL:${WITH_JACK}>:${JACK_LIBRARIES}>
)

target_compile_definitions(simplescreenrecorder PRIVATE
	-DSSR_USE_X86_ASM=$<BOOL:${ENABLE_X86_ASM}>
	-DSSR_USE_FFMPEG_VERSIONS=$<BOOL:${ENABLE_FFMPEG_VERSIONS}>
	-DSSR_USE_OPENGL_RECORDING=$<BOOL:${WITH_OPENGL_RECORDING}>
	-DSSR_USE_ALSA=$<BOOL:${WITH_ALSA}>
	-DSSR_USE_PULSEAUDIO=$<BOOL:${WITH_PULSEAUDIO}>
	-DSSR_USE_JACK=$<BOOL:${WITH_JACK}>
	-DSSR_SYSTEM_DIR="${CMAKE_INSTALL_FULL_DATADIR}/simplescreenrecorder"
	-DSSR_VERSION="${PROJECT_VERSION}"
)

install(TARGETS simplescreenrecorder RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

## simplescreenrecorder 0.3.6

=== debian/changelog ===
simplescreenrecorder (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #782804, #722249)

  [ Olivier Humbert ]
  * Changed to use ffmpeg instead of libav.
  * debian/patches/1001-build-failure-fix.patch:
    - added following Sebastinas suggestion on #debian-multimedia@oftc.
    - patch has been included upstream.
  * debian/changelog :
    - translate the French parts of the past entries to English.
  * debian/libsimplescreenrecorder.install
    - remove this file to fit everything in only one package. See
      https://github.com/MaartenBaert/ssr/issues/464 .
  * debian/simplescreenrecorder.install :
    - removing this file - not needed anymore.
  * debian/simplescreenrecorder.triggers :
    - added to fix the "package-must-activate-ldconfig-trigger" error
      reported by Lintian, following this recommendation:
      https://lintian.debian.org/tags/package-must-activate-ldconfig-trigger.html.
  * debian/control :
    - change the Maintainer field to the debian-multimedia team.
    - remove package creation for libsimplescreenrecorder.
    - remove the "Recommends: libsimplescreenrecorder (= ${binary:Version})"
      since it doesn't exist anymore as an external package but is incorporated
      to the simplescreenrecorder's one.
    - remove Jof Thibault since he didn't upload to debian's official repo.
  * debian/sources/lintian-overrides :
    - adding this file to relax lintian output's 2 warnings.
  * debian/rules :
    - remove the "--disable-ffmpeg-versions" configure option.
    - removing the *.la files.

  [ Petter Reinholdtsen ]
  * debian/copyright :
    - Adjusted based on feedback from 'debmake -k'.
  * debian/rules :
    - Made sure .la files are removed after they are installed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Nov 2016 06:57:25 +0000

simplescreenrecorder (0.3.6-0librazik3) jessie; urgency=medium

  * Rebuilding with pbuilder for LibraZiK.
    - package improvements.
  * debian/control :
    - description field for "libsimplescreenrecorder" : mention to pulseausio
      and OSS.
    - standards-version : 3.9.6 -> 3.9.8 .
  * debian/copyright :
    - add licenses for some files.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 27 May 2016 01:36:11 +0200

simplescreenrecorder (0.3.6-0librazik2) jessie; urgency=medium

  * Merge with https://github.com/glaubitz/simplescreenrecorder-debian.
    -> to add when debianization : * Initial release (Closes: #722249).
  * debian/docs :
    - using the glaubitz' one.
  * debian/copyright :
    - update of Marteen's copyright (+2015+2016).
    - adding John Paul Adrian Glaubitz.
    - changes of the "Format:" et "Source:" links.
  * debian/control :
    - merging Build-depends with the ones from glaubitz.
    - "Standards-Version" -> 3.9.4 -> 3.9.6 .
    - commenting out the Vcs fields.
    - merging descriptions with glaubitz' ones.
  * debian/README.source :
    - copying this file from glaubitz.
  * debian/rules :
    - merge with glaubitz' one.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 24 May 2016 21:20:02 +0200

simplescreenrecorder (0.3.6-0librazik1) jessie; urgency=medium

  * New upstream version.
    - test to prepare to enter debian repo.
  * Rebuild with pbuilder for LibraZiK.
    - new upstream release.
  * debian/control :
    - changing links to LibraZiK documentation in the "description" fields.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 24 May 2016 15:21:36 +0200

simplescreenrecorder (0.3.3+20150916~GITe25d6eda0e2-0librazik2) jessie; urgency=medium

  * Rebuild with pbuilder for LibraZiK.
    - rebuild in 32 and 64 bits.
  * debian/control :
    - 2015 -> 2016.
  * debian/copyright :
    - adding 2016 next to my name.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Thu, 17 Mar 2016 00:51:54 +0100

simplescreenrecorder (0.3.3+20150916~GITe25d6eda0e2-0librazik1) jessie; urgency=low

  * Rebuild with pbuilder for LibraZiK.
  * Removing files (included upstream) :
    - debian/patches/series
    - debian/patches/1010-desktop_file_l10n-FR.patch
  * debian/control :
    - fixing link address to LibraZiK online documentation.
    - changes to the build-depends :
      + changes from libjack-dev to libjack-jackd2-dev.
      + adds pkg-config and autotools-dev.
  * debian/watch :
    - file created.
  * debian/rules :
    - adds "--with autotools-dev".

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 16 Sep 2015 21:02:46 +0200

simplescreenrecorder (0.3.3+GITe2e9336451-0librazik1) jessie; urgency=low

  * New upstream release:
    - v0.3.2:
      + Added Qt5 support (optional, Qt4 is still the default)
      + Added YUV422, YUV444 and RGB support (YUV420 is still the default)
      + Added pixelformat and sampleformat codec options.
      + Added benchmark.
      + Improved RTL support.
      + Bugfixes
    - v0.3.3:
      + Fixed mistake in configure.ac that was causing libssr-glinject.so to
        be linked with unwanted libraries.
    - Other adds since v0.3.3:
      + Add French, Swedish and Traditional Chinese translations.
      + Use pkg-config to find FFmpeg libraries.
      + Don't hold the lock while changing JACK connections.
      + Add man pages.
      + Add Keywords line to desktop file.
      + Don't refer to Qt 4 in about box (Qt 5 is supported too).
      + Fix --disable-x86-asm option.
  * Rebuild with pbuilder for LibraZiK (based on Debian Jessie).
  * debian/copyright:
    - add myself to the debian packaging copyright section.
    - rewrite this file to improve the machine-readable criteria.
  * debian/control:
    - check if the Homepage link is still valid. OK.
    - add mention to the LibraZiK project in "Description".
    - lists' style - one item per line.
    - update "Maintainer" and "Uploaders" Re: "debian-policy 5.6.2 and 5.6.3".
    - add "libpulse-dev" as a build dependency.
  * debian/patches/series:
    - add "desktop_file_l10n-FR.patch" (with dquilt).
  * debian/patches/desktop_file_l10n-FR.patch:


=== debian/control ===
Source: simplescreenrecorder
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libgl1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libglu1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libjack-dev | libjack-jackd2-dev,
 liboss4-salsa-dev [!linux-any],
 libpulse-dev,
 libqt4-dev,
 libswscale-dev,
 libx11-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://www.maartenbaert.be/simplescreenrecorder/
#Vcs-Git: git://github.com/MaartenBaert/ssr.git
#Vcs-Browser: https://github.com/MaartenBaert/ssr

Package: simplescreenrecorder
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Feature-rich screen recorder for X11 and OpenGL
 Simple Screen Recorder is, despite its name, an actually feature-rich screen
 recorder. The name reflects the fact that it is simple to use unlike many
 other free screen recording applications available. It can be easily
 configured to start recording from an intuitive wizard-like interface.
 .
 It can record the entire screen or part of it directly.  The recording can be
 paused and resumed at any time. Many different file formats and codecs are
 supported. To perform an X11 recording, all it takes is selecting an area on
 the root window with the mouse, choosing an output file and pressing record,
 either by using the mouse or using a hotkey.
 .
 It has a Qt-based graphical user interface.
 .
 Its complexity becomes apparent in its powerful features. It allows one
 to record X11 screen areas and fullscreen OpenGL applications including sound
 supporting both ALSA, PulseAudio, JACK and OSS. It uses libavformat to encode
 the recorded material into a variety of video formats. Scaling the recorded
 video is possible as well as configuring the encoding quality for the codec
 chosen directly from the user interface.
 .
 This package contains the main program.

## simplescreenrecorder 0.3.8

=== debian/changelog ===
simplescreenrecorder (0.3.8-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper 10 and dh-autoreconf.
  * Switch to Qt5. (Closes: #875192)
    Thanks to Gregor Herrmann for the patch.

  * debian/control:
    - Use canonical Vcs-Git URL.
    - Bump standards version to 4.1.1 (no changes).
  * debian/patches/01-private-glinject.patch:
    - Install libssr-ginject.so in a private lib directory.
  * debian/rules:
    - Don't export build flags manually in debian/rules.
    - Use DEB_HOST_ARCH_CPU and any-amd64/any-i386 for adding non-x86
      options. (Closes: #848556, #870514)
  * debian/source/lintian-overrides:
    - Remove unused lintian overrides.

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Nov 2017 12:12:17 +0000

simplescreenrecorder (0.3.8-2) unstable; urgency=low

  * Team upload.

  * Changed to use --disable-x86-asm on non-x86 architectures (Closes: #845108).
    Patch from John Paul Adrian Glaubitz.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Dec 2016 09:03:07 +0000

simplescreenrecorder (0.3.8-1) unstable; urgency=low

  * Team upload.

  [ Petter Reinholdtsen ]
  * Updated to upstream version 0.3.8.
  * Removed 1001-build-failure-fix.patch now included upstream.
  * Documented team maintained git repo in Vcs fields in d/control.
  * Added d/gbp.conf to enforce use of pristine-tar.
  * Added myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Dec 2016 17:35:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,31 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
+ , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 10),
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libgl1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
- libglu1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
+ libgl1-mesa-dev [any-amd64 any-i386],
+ libglu1-mesa-dev [any-amd64 any-i386],
  libjack-dev | libjack-jackd2-dev,
  liboss4-salsa-dev [!linux-any],
  libpulse-dev,
- libqt4-dev,
+ libqt5x11extras5-dev,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libswscale-dev,
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  libxi-dev,
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
-#Vcs-Git: git://github.com/MaartenBaert/ssr.git
-#Vcs-Browser: https://github.com/MaartenBaert/ssr
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/simplescreenrecorder.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/simplescreenrecorder.git/
 
 Package: simplescreenrecorder
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export QT_SELECT=5
# cf. https://github.com/MaartenBaert/ssr/issues/498
export DEB_CXXFLAGS_MAINT_APPEND := -fPIC

%:
	dh $@

# 1. simplescreenrecorder is configured to use libav libraries
#    here as libav is currently still default on Debian
#
# 2. glinjectlib is disabled on non-x86 systems as it
#    requires the x86-only elfhacks code (see README.source)

override_dh_auto_configure:
ifneq ($(filter $(DEB_HOST_ARCH_CPU), amd64 i386),)
	dh_auto_configure -- \
		--disable-assert \
		--libdir=/usr/lib/simplescreenrecorder \
		--with-qt5
else
	dh_auto_configure -- \
		--disable-x86-asm \
		--disable-assert \
		--disable-glinjectlib \
		--with-qt5
endif

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/simplescreenrecorder/usr/lib/*/*.la

=== debian/watch ===
version=3
https://github.com/MaartenBaert/ssr/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## simplescreenrecorder 0.3.10

=== debian/changelog ===
simplescreenrecorder (0.3.10-3) unstable; urgency=medium

  * Correct cmake flag to disable glinject on non-x86 archs.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2018 20:14:05 +0100

simplescreenrecorder (0.3.10-2) unstable; urgency=medium

  * Added cmake as build dependency.
  * Added 02-appstream-metadata-path.patch to use new path for appstream metadata.
  * Removed no longer needed dh_auto_install override in d/rules.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2018 17:33:43 +0100

simplescreenrecorder (0.3.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Petter Reinholdtsen ]
  * New upstream version 0.3.10
    - Adjusted d/rules for new cmake build system.
    - Removed 02-qt5_includes.patch, which seem to be no longer needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2018 15:22:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
  debhelper (>= 10),
+ cmake,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
@@ -27,8 +28,8 @@
  pkg-config
 Standards-Version: 4.1.1
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/simplescreenrecorder.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/simplescreenrecorder.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/simplescreenrecorder
 
 Package: simplescreenrecorder
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,17 +18,11 @@
 override_dh_auto_configure:
 ifneq ($(filter $(DEB_HOST_ARCH_CPU), amd64 i386),)
 	dh_auto_configure -- \
-		--disable-assert \
-		--libdir=/usr/lib/simplescreenrecorder \
-		--with-qt5
+		-DCMAKE_INSTALL_LIBDIR=/usr/lib/simplescreenrecorder \
+		-DWITH_QT5=TRUE
 else
 	dh_auto_configure -- \
-		--disable-x86-asm \
-		--disable-assert \
-		--disable-glinjectlib \
-		--with-qt5
+		-DENABLE_X86_ASM=FALSE \
+		-DWITH_GLINJECT=FALSE \
+		-DWITH_QT5=TRUE
 endif
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -f $(CURDIR)/debian/simplescreenrecorder/usr/lib/*/*.la

## simplescreenrecorder 0.3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_CXX_STANDARD 11)
 
-project(simplescreenrecorder VERSION 0.3.10)
+project(simplescreenrecorder VERSION 0.3.11)
 
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|amd64|i386|i686")
 	set(PROCESSOR_IS_X86 TRUE)
@@ -24,6 +24,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
+include(FeatureSummary)
 include(GNUInstallDirs)
 
 # try to guess the correct 32-bit library path on 64-bit systems
@@ -105,3 +106,5 @@
 	)
 
 endif()
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 endif()
 
 if(WITH_QT5)
-	find_package(Qt5 COMPONENTS Core Gui Widgets X11Extras REQUIRED)
+	find_package(Qt5 5.7 COMPONENTS Core Gui Widgets X11Extras REQUIRED)
 else()
-	find_package(Qt4 COMPONENTS QtGui REQUIRED)
+	find_package(Qt4 4.8 COMPONENTS QtGui REQUIRED)
 endif()
 
 set(sources

=== src/translations/CMakeLists.txt ===
# translations for 'simplescreenrecorder' executable

find_program(LRELEASE lrelease)

if(LRELEASE)

	set(translations
		ar
		bg
		cs
		de
		el
		es
		fr
		he
		hu
		id
		it
		ja
		lt
		nl
		pl
		pt_BR
		ru
		sv
		uk
		zh_CN
		zh_TW
	)

	set(qm_files)

	foreach(tr IN LISTS translations)

		# qm generation rules
		add_custom_command(
			OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/simplescreenrecorder_${tr}.qm
			COMMAND ${LRELEASE} -silent ${PROJECT_SOURCE_DIR}/src/translations/simplescreenrecorder_${tr}.ts -qm ${CMAKE_CURRENT_BINARY_DIR}/simplescreenrecorder_${tr}.qm
			DEPENDS ${PROJECT_SOURCE_DIR}/src/translations/simplescreenrecorder_${tr}.ts
		)

		# installation rules
		install(
			FILES ${CMAKE_CURRENT_BINARY_DIR}/simplescreenrecorder_${tr}.qm
			DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/simplescreenrecorder/translations
		)

		# remember qm files
		list(APPEND qm_files
			${CMAKE_CURRENT_BINARY_DIR}/simplescreenrecorder_${tr}.qm
		)

	endforeach()

	# main target
	add_custom_target(translations ALL
		DEPENDS ${qm_files}
	)

endif()

=== debian/changelog ===
simplescreenrecorder (0.3.11-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream version 0.3.11.
    - Fixes FTBFS with FFmpeg 4.0. (Closes: #888347)

  * d/copyright: Remove unused "build-aux/install-sh" paragraph.
  * d/control: Make build-dependency on qt >= 5.7 explicit.
  * d/patches: Refresh.
  * d/simplescreenrecorder.triggers: Remove useless trigger activation.

  [ Petter Reinholdtsen ]
  * Adjusted source URL to upstream home page.
  * Adjusted d/rules based on the upstream deb package.
  * Updated Standards-Version from 4.1.1 to 4.1.3.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- James Cowgill <jcowgill@debian.org>  Sun, 17 Jun 2018 12:52:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
@@ -17,16 +17,16 @@
  libjack-dev | libjack-jackd2-dev,
  liboss4-salsa-dev [!linux-any],
  libpulse-dev,
- libqt5x11extras5-dev,
- qtbase5-dev,
- qttools5-dev-tools,
+ libqt5x11extras5-dev (>= 5.7),
+ qtbase5-dev (>= 5.7),
+ qttools5-dev-tools (>= 5.7),
  libswscale-dev,
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  libxi-dev,
  pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/simplescreenrecorder

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export QT_SELECT=qt5
# cf. https://github.com/MaartenBaert/ssr/issues/498
export DEB_CXXFLAGS_MAINT_APPEND := -fPIC

%:
	dh $@

# * glinjectlib is disabled on non-x86 systems as it requires the
#   x86-only elfhacks code (see README.source)

override_dh_auto_configure:
ifneq ($(filter $(DEB_HOST_ARCH_CPU), amd64 i386),)
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LIBDIR=/usr/lib/simplescreenrecorder \
		-DWITH_QT5=TRUE
else
	dh_auto_configure -- \
		-DENABLE_X86_ASM=FALSE \
		-DWITH_GLINJECT=FALSE \
		-DWITH_QT5=TRUE
endif

override_dh_installdocs:
	dh_installdocs -A AUTHORS.md notes.txt README.md todo.txt

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGELOG.md

## simplescreenrecorder 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_CXX_STANDARD 11)
 
-project(simplescreenrecorder VERSION 0.3.11)
+project(simplescreenrecorder VERSION 0.4.1)
 
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|amd64|i386|i686")
 	set(PROCESSOR_IS_X86 TRUE)
@@ -86,8 +86,8 @@
 		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications
 	)
 	install(
-		FILES data/simplescreenrecorder.appdata.xml
-		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/appdata
+		FILES data/simplescreenrecorder.metainfo.xml
+		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/metainfo
 	)
 
 	# icons

=== debian/changelog ===
simplescreenrecorder (0.4.1-0.1~mx19+1) mx; urgency=medium

  * New upstream version 0.4.1:
    - Added warning for Wayland users.
    - Internal error messages from FFmpeg and other libraries are now shown in
      the log window.
    - Fixed blocked continue button after selecting a window.
    (with version 0.4.0)
    - Added high-DPI monitor support.
    - Added option to skip the welcome screen.
    - Increased maximum video size to 20000x20000.
    - Added more command-line options.
    - Added recording schedule.
    - Add command-line control over stdin.
    - Many bugfixes.

  * debian/patches:
    - Drop 02-appstream-metadata-path.patch, fixed upstream.
    - Refresh 01-private-glinject.patch.
  * Add "--buildsystem=cmake" to rules to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 May 2020 14:17:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
  debhelper (>= 10),
- cmake,
+ cmake (>= 3.1),
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
@@ -25,6 +26,7 @@
  libxext-dev,
  libxfixes-dev,
  libxi-dev,
+ libxinerama-dev,
  pkg-config
 Standards-Version: 4.1.3
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND := -fPIC
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 # * glinjectlib is disabled on non-x86 systems as it requires the
 #   x86-only elfhacks code (see README.source)
@@ -29,3 +29,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A CHANGELOG.md
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## simplescreenrecorder 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_CXX_STANDARD 11)
 
-project(simplescreenrecorder VERSION 0.4.1)
+project(simplescreenrecorder VERSION 0.4.2)
 
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|amd64|i386|i686")
 	set(PROCESSOR_IS_X86 TRUE)

=== glinject/CMakeLists.txt ===
# 'libssr-glinject' library

find_package(Threads REQUIRED)
find_package(X11 REQUIRED)
find_package(OpenGL REQUIRED)

set(sources
	elfhacks.c
	elfhacks.h
	GLInject.cpp
	GLInject.h
	Global.h
	GLXFrameGrabber.cpp
	GLXFrameGrabber.h
	Hook.cpp
	ShmStructs.h
	SSRVideoStreamWriter.cpp
	SSRVideoStreamWriter.h
)

set(include_directories
	${X11_X11_INCLUDE_PATH}
	${X11_Xfixes_INCLUDE_PATH}
	${OPENGL_INCLUDE_DIR}
)

set(link_libraries
	${CMAKE_THREAD_LIBS_INIT}
	${X11_X11_LIB}
	${X11_Xfixes_LIB}
	${OPENGL_LIBRARIES}
	-lrt
	${CMAKE_DL_LIBS}
)

add_library(ssr-glinject SHARED ${sources})
target_include_directories(ssr-glinject PRIVATE ${include_directories})
target_link_libraries(ssr-glinject PRIVATE ${link_libraries})
install(TARGETS ssr-glinject LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

if(ENABLE_32BIT_GLINJECT)

	add_library(ssr-glinject32 SHARED ${sources})
	target_include_directories(ssr-glinject32 PRIVATE ${include_directories})
	target_link_libraries(ssr-glinject32 PRIVATE ${link_libraries})
	install(TARGETS ssr-glinject32 LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIB32DIR})

	set_target_properties(ssr-glinject32 PROPERTIES COMPILE_FLAGS -m32 LINK_FLAGS -m32)
	set_target_properties(ssr-glinject32 PROPERTIES OUTPUT_NAME ssr-glinject LIBRARY_OUTPUT_DIRECTORY "lib32")

endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,8 @@
 	AV/SimpleSynth.h
 	AV/SourceSink.cpp
 	AV/SourceSink.h
+	common/CommandLineOptions.cpp
+	common/CommandLineOptions.h
 	common/CPUFeatures.cpp
 	common/CPUFeatures.h
 	common/Dialogs.cpp
@@ -89,6 +91,8 @@
 	GUI/AudioPreviewer.h
 	GUI/DialogGLInject.cpp
 	GUI/DialogGLInject.h
+	GUI/DialogRecordSchedule.cpp
+	GUI/DialogRecordSchedule.h
 	GUI/ElidedLabel.cpp
 	GUI/ElidedLabel.h
 	GUI/HiddenScrollArea.cpp
@@ -113,11 +117,12 @@
 	GUI/ProfileBox.h
 	GUI/VideoPreviewer.cpp
 	GUI/VideoPreviewer.h
+	GUI/WidgetRack.cpp
+	GUI/WidgetRack.h
 	Benchmark.cpp
 	Benchmark.h
 	Global.h
 	Main.cpp
-	Main.h
 	NVidia.cpp
 	NVidia.h
 )
@@ -175,6 +180,7 @@
 	${X11_Xext_INCLUDE_PATH}
 	${X11_Xfixes_INCLUDE_PATH}
 	${X11_Xi_INCLUDE_PATH}
+	${X11_Xinerama_INCLUDE_PATH}
 	$<$<BOOL:${WITH_ALSA}>:${ALSA_INCLUDE_DIRS}>
 	$<$<BOOL:${WITH_PULSEAUDIO}>:${PULSEAUDIO_INCLUDE_DIRS}>
 	$<$<BOOL:${WITH_JACK}>:${JACK_INCLUDE_DIRS}>
@@ -194,6 +200,7 @@
 	${X11_Xext_LIB}
 	${X11_Xfixes_LIB}
 	${X11_Xi_LIB}
+	${X11_Xinerama_LIB}
 	$<$<BOOL:${WITH_ALSA}>:${ALSA_LIBRARIES}>
 	$<$<BOOL:${WITH_PULSEAUDIO}>:${PULSEAUDIO_LIBRARIES}>
 	$<$<BOOL:${WITH_JACK}>:${JACK_LIBRARIES}>

=== src/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 # translations for 'simplescreenrecorder' executable
 
-find_program(LRELEASE lrelease)
+if(WITH_QT5)
+	find_program(LRELEASE NAMES lrelease-qt5 lrelease)
+else()
+	find_program(LRELEASE NAMES lrelease-qt4 lrelease)
+endif()
 
 if(LRELEASE)
 
@@ -12,6 +16,7 @@
 		el
 		es
 		fr
+		gl
 		he
 		hu
 		id
@@ -22,6 +27,7 @@
 		pl
 		pt_BR
 		ru
+		sr
 		sv
 		uk
 		zh_CN

=== debian/changelog ===
simplescreenrecorder (0.4.2-2) unstable; urgency=medium

  * Team upload

  [ Barak A. Pearlmutter ]
  * Merge in Ubuntu PPA features from
    https://launchpad.net/~maarten-baert/+archive/ubuntu/simplescreenrecorder
    In particular, break out simplescreenrecorder-lib containing
    libssr-glinject.so in arch-specific subdir, so the i386 lib can be
    installed on an amd64 system, allowing 32-bit process injection.

  [ Sebastian Ramacher ]
  * debian/patches: Refresh patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Sep 2020 18:08:46 +0200

simplescreenrecorder (0.4.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.3.10-2, 0.3.6-1.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Barak A. Pearlmutter ]
  * New upstream version
  * Forward port patches (install path patch has been upstreamed)
  * Bump debhelper from old 12 to 13.
  * Enable hardened build
  * Bump policy version, no changes required.

  [Ondřej Nový]
  * Use debhelper-compat instead of debian/compat.

  [Olivier Humbert]
  * d/control: http->https + remove one empty line.
  * d/watch: remove one unneeded empty line

  [ Sebastian Ramacher ]
  * debian/copyright: Document data/simplescreenrecorder.metainfo.xml
  * debian/control: Add libxinerama-dev to BD

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Aug 2020 16:15:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
- debhelper (>= 10),
- cmake (>= 3.1),
+ debhelper-compat (= 13),
+ cmake,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
@@ -28,8 +27,9 @@
  libxi-dev,
  libxinerama-dev,
  pkg-config
-Standards-Version: 4.1.3
-Homepage: http://www.maartenbaert.be/simplescreenrecorder/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/simplescreenrecorder
 
@@ -37,7 +37,8 @@
 Architecture: any
 Depends:
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ simplescreenrecorder-lib [any-amd64 any-i386]
 Description: Feature-rich screen recorder for X11 and OpenGL
  Simple Screen Recorder is, despite its name, an actually feature-rich screen
  recorder. The name reflects the fact that it is simple to use unlike many
@@ -60,3 +61,17 @@
  chosen directly from the user interface.
  .
  This package contains the main program.
+
+Package: simplescreenrecorder-lib
+Architecture: any-i386 any-amd64
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: feature-rich screen recorder that supports X11 and OpenGL - GLInject library
+ SimpleScreenRecorder is a feature-rich screen recorder that supports X11 and
+ OpenGL. It has a Qt-based graphical user interface. It can record the entire
+ screen or part of it, or record OpenGL applications directly. The recording
+ can be paused and resumed at any time. Many different file formats and codecs
+ are supported.
+ .
+ This package contains the GLInject library.

=== debian/watch ===
version=3
https://github.com/MaartenBaert/ssr/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## simplescreenrecorder 0.4.3

=== debian/changelog ===
simplescreenrecorder (0.4.3-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 00:07:16 -0400

simplescreenrecorder (0.4.3-2) unstable; urgency=medium

  * Added qttools5-dev as build depend to fix build problem.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 Sep 2021 17:57:30 +0200

simplescreenrecorder (0.4.3-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Update watch file format version to 4.
  * New upstream version.
    - needs libv4l-dev
  * Bump policy version, no changes required.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 4.5.1 to 4.6.0.
  * Added d/patches/README suggesting numbering scheme.
  * Improved appstream metadata based on appstream generator feedback

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 09 Sep 2021 22:59:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
@@ -19,6 +20,7 @@
  libpulse-dev,
  libqt5x11extras5-dev (>= 5.7),
  qtbase5-dev (>= 5.7),
+ qttools5-dev (>= 5.7),
  qttools5-dev-tools (>= 5.7),
  libswscale-dev,
  libx11-dev,
@@ -26,8 +28,9 @@
  libxfixes-dev,
  libxi-dev,
  libxinerama-dev,
+ libv4l-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt5
# cf. https://github.com/MaartenBaert/ssr/issues/498
export DEB_CXXFLAGS_MAINT_APPEND := -fPIC

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# * glinjectlib is disabled on non-x86 systems as it requires the
#   x86-only elfhacks code (see README.source)

override_dh_auto_configure:
ifneq ($(filter $(DEB_HOST_ARCH_CPU), amd64 i386),)
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/simplescreenrecorder \
		-DENABLE_FFMPEG_VERSIONS=TRUE \
		-DWITH_QT5=TRUE
else
	dh_auto_configure -- \
		-DENABLE_X86_ASM=FALSE \
		-DWITH_GLINJECT=FALSE \
		-DWITH_QT5=TRUE
endif

## simplescreenrecorder 0.4.4

=== debian/changelog ===
simplescreenrecorder (0.4.4-6) unstable; urgency=medium

  * Added 1020-ffmpeg-7.patch to fix more ffmpeg 7 build
    issues (Closes: #1072451).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Aug 2024 23:14:21 +0200

simplescreenrecorder (0.4.4-5) unstable; urgency=medium

  * Simplified debian patches for adjusting appstream metadata.
  * Added new 0020-ffmpeg-7.patch to prepare for ffmpeg 7.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 May 2024 15:50:11 +0200

simplescreenrecorder (0.4.4-4) unstable; urgency=medium

  * Reordered patches according to classfication in README.
  * Fixed typo in 1020-appstream-metadata-category.patch.
  * Extended build rule to validate appstream metadata during build.
  * Renamed build dependencies libgl1-mesa-dev->libgl-dev and
    pkg-config->pkgconf on lintians request.
  * Added 0010-plthook.patch from upstream to fix segfault in libssr-glinject.so
    (Closes: #1040375).
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Extended Appstream validator step and fix all issues reported.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 May 2024 16:20:28 +0200

simplescreenrecorder (0.4.4-3) unstable; urgency=medium

  * Flagged 2000-appstream-metadata-https.patch as forwarded.
  * Added 2010-appstream-metadata-category.patch to include categories
    in appstream metadata.
  * Renamed 01-private-glinject.patch to 1000-private-glinject.patch,
    seem Debian only.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 Feb 2023 09:28:40 +0100

simplescreenrecorder (0.4.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 4.6.0 to 4.6.2.
  * Updated 2000-appstream-metadata-https.patch, adding rating and
    launcable info.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Feb 2023 08:22:02 +0100

simplescreenrecorder (0.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.4.4
  * debian/patches:
    - Refresh patches
    - Fix build with ffmpeg 5.0 (Closes: #1004627)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 19:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ appstream,
  cmake,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libgl1-mesa-dev [any-amd64 any-i386],
+ libgl-dev [any-amd64 any-i386],
  libglu1-mesa-dev [any-amd64 any-i386],
  libjack-dev | libjack-jackd2-dev,
  liboss4-salsa-dev [!linux-any],
  libpulse-dev,
- libqt5x11extras5-dev (>= 5.7),
- qtbase5-dev (>= 5.7),
- qttools5-dev (>= 5.7),
- qttools5-dev-tools (>= 5.7),
+ libqt5x11extras5-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libswscale-dev,
  libx11-dev,
  libxext-dev,
@@ -29,8 +29,8 @@
  libxi-dev,
  libxinerama-dev,
  libv4l-dev,
- pkg-config
-Standards-Version: 4.6.0
+ pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 # * glinjectlib is disabled on non-x86 systems as it requires the
 #   x86-only elfhacks code (see README.source)
@@ -28,3 +25,6 @@
 		-DWITH_GLINJECT=FALSE \
 		-DWITH_QT5=TRUE
 endif
+
+execute_after_dh_auto_install:
+	appstreamcli validate-tree --no-net debian/tmp

=== debian/watch ===
version=4
https://github.com/MaartenBaert/ssr/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
